%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global tarball_version %%(echo %{version} | tr '~' '.')

%global legacy_version	41.0
%define legacy_url_ver	%{lua: ver = rpm.expand("%{legacy_version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:		GNOME default icons
Name:			adwaita-icon-theme
Version:		46.2
Release:		%mkrel 1
License:		GPLv2+
Group:			Graphical desktop/GNOME
URL:			https://www.gnome.org/
Source0:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz
# Legacy icons for freedesktop.org Icon Naming Specification's Standard Category Icons
Source1:		https://download.gnome.org/sources/adwaita-icon-theme/%{legacy_url_ver}/adwaita-icon-theme-%{legacy_version}.tar.xz
BuildArch:		noarch
BuildRequires:		meson
BuildRequires:		hicolor-icon-theme
BuildRequires:		icon-naming-utils >= 0.8.7
BuildRequires:		gtk4-update-icon-cache

Requires:		hicolor-icon-theme
# For gtk-update-icon-cache
Requires(post):		gtk-update-icon-cache
Requires(postun):	gtk-update-icon-cache

# gnome-icon-theme and gnome-icon-theme-symbolic were merged
# into one pkg adwaita-icon-theme
Provides:		gnome-icon-theme = %{version}-%{release}
Provides:		gnome-icon-theme-symbolic = %{version}-%{release}

%description
This package contains the Adwaita icon theme used by the GNOME desktop.

%package -n adwaita-cursor-theme
Summary:	Adwaita cursor theme
Group:		Graphical desktop/GNOME
BuildArch:	noarch

%description -n adwaita-cursor-theme
The adwaita-cursor-theme package contains a modern set of cursors originally
designed for the GNOME desktop.

%prep
%autosetup -p1 -n %{name}-%{tarball_version} -a1

# install some legacy icons from older adwaita-icon-theme for DEs following freedesktop.org Icon Naming Specification
# mga#30921
%global legacy_icons preferences-system preferences-desktop applications-other audio-card
for icon in %{legacy_icons} ; do
  for f in $(find adwaita-icon-theme-%{legacy_version}/Adwaita -name "${icon}.png"); do
     install -Dpm644 $f ${f#*/}
  done
done

%build
%meson
%meson_build

%install
%meson_install

touch %{buildroot}%{_iconsdir}/Adwaita/.icon-theme.cache

#compatibility symlink
ln -s %{name}.pc %{buildroot}%{_datadir}/pkgconfig/gnome-icon-theme.pc

# automatic gtk icon cache update on rpm installs/removals
%transfiletriggerin --  %{_iconsdir}/Adwaita/
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --force --quiet %{_iconsdir}/Adwaita
fi

%transfiletriggerpostun --  %{_iconsdir}/Adwaita/
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --force --quiet %{_iconsdir}/Adwaita
fi

%files
%doc AUTHORS NEWS
%license COPYING*
%dir %{_iconsdir}/Adwaita/
%ghost %{_iconsdir}/Adwaita/.icon-theme.cache
%{_iconsdir}/Adwaita/index.theme
%{_iconsdir}/Adwaita/*/
%exclude %{_iconsdir}/Adwaita/cursors/

%{_datadir}/pkgconfig/%{name}.pc
%{_datadir}/pkgconfig/gnome-icon-theme.pc

%files -n adwaita-cursor-theme
%{_iconsdir}/Adwaita/cursors/


%changelog
* Sun Jun 02 2024 daviddavid <daviddavid> 46.2-1.mga10
+ Revision: 2069178
- new version 46.2

* Tue Mar 19 2024 daviddavid <daviddavid> 46.0-1.mga10
+ Revision: 2050656
- new version 46.0

* Sun Oct 01 2023 daviddavid <daviddavid> 45.0-1.mga10
+ Revision: 1992734
- new version 45.0

* Fri Apr 21 2023 tmb <tmb> 44.0-1.mga9
+ Revision: 1953857
- update to 44.0

* Sun Dec 11 2022 wally <wally> 43-3.mga9
+ Revision: 1920515
- add audio-card legacy icon from older adwaita-icon-theme to fix icons in pavucontrol (mga#31115)

* Sun Oct 09 2022 wally <wally> 43-2.mga9
+ Revision: 1895778
- install some legacy fullcolor icons from adwaita-icon-theme 41.0 to fix missing icons in Xfce app menu (mga#30921)

* Thu Sep 22 2022 tv <tv> 43-1.mga9
+ Revision: 1891592
- Update to 43

* Mon Mar 21 2022 tv <tv> 42.0-1.mga9
+ Revision: 1814541
- Update to 42.0

* Tue Mar 15 2022 tv <tv> 42~beta-1.mga9
+ Revision: 1793268
- Update to 42.beta

* Mon Jan 10 2022 tv <tv> 41.0-1.mga9
+ Revision: 1767445
- 41.0

* Wed May 05 2021 ovitters <ovitters> 40.1.1-1.mga9
+ Revision: 1721483
- new version 40.1.1

* Wed Apr 21 2021 ovitters <ovitters> 40.0-1.mga9
+ Revision: 1717857
- new version 40.0

* Mon Sep 14 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1626368
- new version 3.38.0

* Tue Sep 01 2020 ovitters <ovitters> 3.37.92-1.mga8
+ Revision: 1620612
- new version 3.37.92

* Wed Jun 10 2020 ovitters <ovitters> 3.37.2-1.mga8
+ Revision: 1591692
- new version 3.37.2

* Fri Apr 17 2020 ovitters <ovitters> 3.36.1-1.mga8
+ Revision: 1568279
- new version 3.36.1
+ danf <danf>
- Switch URLs from http: to https:

* Sun Mar 08 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554835
- new version 3.36.0

* Thu Feb 27 2020 ovitters <ovitters> 3.35.92-1.mga8
+ Revision: 1551019
- new version 3.35.92

* Mon Feb 17 2020 umeabot <umeabot> 3.35.91-2.mga8
+ Revision: 1537755
- Mageia 8 Mass Rebuild

* Mon Feb 17 2020 ovitters <ovitters> 3.35.91-1.mga8
+ Revision: 1537046
- new version 3.35.91
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 08 2019 ovitters <ovitters> 3.34.3-1.mga8
+ Revision: 1458766
- new version 3.34.3

* Mon Nov 04 2019 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1457709
- new version 3.34.1

* Fri Sep 13 2019 daviddavid <daviddavid> 3.34.0-1.mga8
+ Revision: 1440140
- new version 3.34.0

* Mon Mar 18 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1378607
- new version 3.32.0

* Sun Mar 10 2019 wally <wally> 3.31.91-2.mga7
+ Revision: 1373679
- handle icon cache updates via transfiletriggers

* Sat Mar 09 2019 tmb <tmb> 3.31.91-1.mga7
+ Revision: 1373260
- update filelist
- update to 3.31.91

* Mon Nov 19 2018 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1331785
- new version 3.30.1

* Mon Sep 03 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1256599
- new version 3.30.0

* Wed Aug 01 2018 ovitters <ovitters> 3.29.90-1.mga7
+ Revision: 1246782
- new version 3.29.90

* Wed Mar 14 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1209138
- new version 3.28.0

* Thu Feb 08 2018 ovitters <ovitters> 3.27.90-1.mga7
+ Revision: 1199779
- new version 3.27.90

* Mon Nov 27 2017 ovitters <ovitters> 3.26.1-1.mga7
+ Revision: 1180084
- new version 3.26.1

* Thu Sep 14 2017 ovitters <ovitters> 3.26.0-1.mga7
+ Revision: 1153772
- new version 3.26.0

* Wed Aug 23 2017 ovitters <ovitters> 3.25.91-1.mga7
+ Revision: 1144004
- new version 3.25.91

* Mon Aug 21 2017 ovitters <ovitters> 3.25.4-1.mga7
+ Revision: 1142738
- new version 3.25.4

* Wed Mar 22 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094436
- fix configure on noarch
- new version 3.24.0

* Wed Sep 21 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1054852
- new version 3.22.0

* Sun Sep 18 2016 ovitters <ovitters> 3.21.91-1.mga6
+ Revision: 1053905
- new version 3.21.91

* Tue Mar 22 2016 ovitters <ovitters> 3.20-1.mga6
+ Revision: 994090
- new version 3.20

* Thu Mar 03 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 984900
- new version 3.19.91

* Sun Feb 21 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 975042
- new version 3.19.90

* Sat Jan 16 2016 wally <wally> 3.18.0-3.mga6
+ Revision: 923539
- drop gtk+2.0 BR
- BR gtk+3.0-devel to create *.symbolic.png icons
- add post and postun requires for gtk+3.0

* Wed Oct 28 2015 joequant <joequant> 3.18.0-2.mga6
+ Revision: 895974
- remove required gtk-update-icon-cache to allow gtk-3.0 only install

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 883007
- new release

* Sun Sep 06 2015 tv <tv> 3.17.4-2.mga6
+ Revision: 873155
- switch to new upstream file trigger syntax

* Wed Jul 22 2015 ovitters <ovitters> 3.17.4-1.mga6
+ Revision: 856156
- new version 3.17.4

* Thu Jun 25 2015 ovitters <ovitters> 3.17.3-1.mga6
+ Revision: 843021
- new version 3.17.3

* Sun Jun 21 2015 ovitters <ovitters> 3.16.2.1-1.mga6
+ Revision: 837411
- new version 3.16.2.1

* Wed Dec 24 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 805381
- new version 3.14.1

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 744328
- Second Mageia 5 Mass Rebuild

* Tue Sep 23 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 721242
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.91-2.mga5
+ Revision: 677704
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 671040
- new version 3.13.91

* Sun Aug 17 2014 ovitters <ovitters> 3.13.5-1.mga5
+ Revision: 664558
- new version 3.13.5

* Mon Jul 14 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 651839
- new version 3.13.4

* Wed Jun 25 2014 ovitters <ovitters> 3.13.3-1.mga5
+ Revision: 639696
- new version 3.13.3

* Mon Jun 02 2014 ovitters <ovitters> 3.13.2-1.mga5
+ Revision: 630636
- new version 3.13.2

* Tue May 06 2014 wally <wally> 3.13.1-3.mga5
+ Revision: 620855
- create gnome-icon-theme.pc compatibility symlink

* Fri May 02 2014 wally <wally> 3.13.1-2.mga5
+ Revision: 619478
- split out adwaita-cursor-theme pkg which came previously from gnome-themes-standard

* Fri May 02 2014 wally <wally> 3.13.1-1.mga5
+ Revision: 619438
- new version 3.13.1
- rename pkg as adwaita-icon-theme
- obsolete old gnome-icon-theme and gnome-icon-theme-symbolic

* Tue Mar 25 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608239
- new version 3.12.0

* Thu Mar 20 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 606291
- new version 3.11.92

* Thu Feb 06 2014 ovitters <ovitters> 3.11.5-1.mga5
+ Revision: 584872
- new version 3.11.5

* Sat Oct 19 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 536555
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484655
- new version 3.10.0

* Wed Jul 31 2013 ovitters <ovitters> 3.9.5-1.mga4
+ Revision: 461661
- new version 3.9.5

* Wed Jul 31 2013 ovitters <ovitters> 3.8.3-1.mga4
+ Revision: 461530
- new version 3.8.3

* Fri May 24 2013 ovitters <ovitters> 3.8.2-1.mga4
+ Revision: 426639
- new version 3.8.2

* Sat Jan 12 2013 umeabot <umeabot> 3.6.2-2.mga3
+ Revision: 352139
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 318052
- new version 3.6.2

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297583
- new version 3.6.0

* Wed Aug 22 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 283198
- new version 3.5.90

* Wed Aug 08 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 280040
- new version 3.5.5

* Wed Mar 28 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 227309
- new version 3.4.0

* Mon Mar 05 2012 wally <wally> 3.3.91-1.mga2
+ Revision: 219139
- new version 3.3.91

* Wed Oct 19 2011 wally <wally> 3.2.1.2-1.mga2
+ Revision: 156687
- new version 3.2.1.2

* Tue Oct 18 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 156311
- new version 3.2.1

* Tue Sep 27 2011 ovitters <ovitters> 3.2.0-1.mga2
+ Revision: 149415
- new version 3.2.0

* Thu Sep 01 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 137474
- fix post script
- br gtk-update-icon-cache
- new version 3.1.90
- new version 3.1.4

* Thu Jun 09 2011 dmorgan <dmorgan> 3.0.0-1.mga2
+ Revision: 102133
- New version 3.0.0

* Sat Jan 15 2011 blino <blino> 2.31.0-2.mga1
+ Revision: 19301
- remove version in comment
- remove old conflicts
- imported package gnome-icon-theme

